So sorry Brooms and Modmyi I didnt know Forum rules. I have a 2nd generation iPod Touch and it has 4.2.1 firmware. I was curious as to how I can get Installer on it. I used Greenpois0n RC5, and I got Cydia but not it doesnt work for some reason. Redsn0w hasnt been updated for 2nd generation iPod Touches otherwise I'd use that. Help please?